Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.252.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
91.252.0.0
Broadcast address
91.255.255.255
First usable
91.252.0.1
Last usable
91.255.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 5BFC0000 · Integer 1543241728 to 1543503871
Reverse DNS zones
252.91.in-addr.arpa
253.91.in-addr.arpa
254.91.in-addr.arpa
255.91.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.11111100.00000000.0000000091.252.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01011011.11111100.00000000.0000000091.252.0.0
Broadcast01011011.11111111.11111111.1111111191.255.255.255
Split into smaller subnets/24

91.252.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.252.0.0/2491.252.0.1 to 91.252.0.25491.252.0.255254
291.252.1.0/2491.252.1.1 to 91.252.1.25491.252.1.255254
391.252.2.0/2491.252.2.1 to 91.252.2.25491.252.2.255254
491.252.3.0/2491.252.3.1 to 91.252.3.25491.252.3.255254
591.252.4.0/2491.252.4.1 to 91.252.4.25491.252.4.255254
691.252.5.0/2491.252.5.1 to 91.252.5.25491.252.5.255254
791.252.6.0/2491.252.6.1 to 91.252.6.25491.252.6.255254
891.252.7.0/2491.252.7.1 to 91.252.7.25491.252.7.255254
991.252.8.0/2491.252.8.1 to 91.252.8.25491.252.8.255254
1091.252.9.0/2491.252.9.1 to 91.252.9.25491.252.9.255254
1191.252.10.0/2491.252.10.1 to 91.252.10.25491.252.10.255254
1291.252.11.0/2491.252.11.1 to 91.252.11.25491.252.11.255254
1391.252.12.0/2491.252.12.1 to 91.252.12.25491.252.12.255254
1491.252.13.0/2491.252.13.1 to 91.252.13.25491.252.13.255254
1591.252.14.0/2491.252.14.1 to 91.252.14.25491.252.14.255254
1691.252.15.0/2491.252.15.1 to 91.252.15.25491.252.15.255254
1791.252.16.0/2491.252.16.1 to 91.252.16.25491.252.16.255254
1891.252.17.0/2491.252.17.1 to 91.252.17.25491.252.17.255254
1991.252.18.0/2491.252.18.1 to 91.252.18.25491.252.18.255254
2091.252.19.0/2491.252.19.1 to 91.252.19.25491.252.19.255254
2191.252.20.0/2491.252.20.1 to 91.252.20.25491.252.20.255254
2291.252.21.0/2491.252.21.1 to 91.252.21.25491.252.21.255254
2391.252.22.0/2491.252.22.1 to 91.252.22.25491.252.22.255254
2491.252.23.0/2491.252.23.1 to 91.252.23.25491.252.23.255254
2591.252.24.0/2491.252.24.1 to 91.252.24.25491.252.24.255254
2691.252.25.0/2491.252.25.1 to 91.252.25.25491.252.25.255254
2791.252.26.0/2491.252.26.1 to 91.252.26.25491.252.26.255254
2891.252.27.0/2491.252.27.1 to 91.252.27.25491.252.27.255254
2991.252.28.0/2491.252.28.1 to 91.252.28.25491.252.28.255254
3091.252.29.0/2491.252.29.1 to 91.252.29.25491.252.29.255254
3191.252.30.0/2491.252.30.1 to 91.252.30.25491.252.30.255254
3291.252.31.0/2491.252.31.1 to 91.252.31.25491.252.31.255254
3391.252.32.0/2491.252.32.1 to 91.252.32.25491.252.32.255254
3491.252.33.0/2491.252.33.1 to 91.252.33.25491.252.33.255254
3591.252.34.0/2491.252.34.1 to 91.252.34.25491.252.34.255254
3691.252.35.0/2491.252.35.1 to 91.252.35.25491.252.35.255254
3791.252.36.0/2491.252.36.1 to 91.252.36.25491.252.36.255254
3891.252.37.0/2491.252.37.1 to 91.252.37.25491.252.37.255254
3991.252.38.0/2491.252.38.1 to 91.252.38.25491.252.38.255254
4091.252.39.0/2491.252.39.1 to 91.252.39.25491.252.39.255254
4191.252.40.0/2491.252.40.1 to 91.252.40.25491.252.40.255254
4291.252.41.0/2491.252.41.1 to 91.252.41.25491.252.41.255254
4391.252.42.0/2491.252.42.1 to 91.252.42.25491.252.42.255254
4491.252.43.0/2491.252.43.1 to 91.252.43.25491.252.43.255254
4591.252.44.0/2491.252.44.1 to 91.252.44.25491.252.44.255254
4691.252.45.0/2491.252.45.1 to 91.252.45.25491.252.45.255254
4791.252.46.0/2491.252.46.1 to 91.252.46.25491.252.46.255254
4891.252.47.0/2491.252.47.1 to 91.252.47.25491.252.47.255254
4991.252.48.0/2491.252.48.1 to 91.252.48.25491.252.48.255254
5091.252.49.0/2491.252.49.1 to 91.252.49.25491.252.49.255254
5191.252.50.0/2491.252.50.1 to 91.252.50.25491.252.50.255254
5291.252.51.0/2491.252.51.1 to 91.252.51.25491.252.51.255254
5391.252.52.0/2491.252.52.1 to 91.252.52.25491.252.52.255254
5491.252.53.0/2491.252.53.1 to 91.252.53.25491.252.53.255254
5591.252.54.0/2491.252.54.1 to 91.252.54.25491.252.54.255254
5691.252.55.0/2491.252.55.1 to 91.252.55.25491.252.55.255254
5791.252.56.0/2491.252.56.1 to 91.252.56.25491.252.56.255254
5891.252.57.0/2491.252.57.1 to 91.252.57.25491.252.57.255254
5991.252.58.0/2491.252.58.1 to 91.252.58.25491.252.58.255254
6091.252.59.0/2491.252.59.1 to 91.252.59.25491.252.59.255254
6191.252.60.0/2491.252.60.1 to 91.252.60.25491.252.60.255254
6291.252.61.0/2491.252.61.1 to 91.252.61.25491.252.61.255254
6391.252.62.0/2491.252.62.1 to 91.252.62.25491.252.62.255254
6491.252.63.0/2491.252.63.1 to 91.252.63.25491.252.63.255254
6591.252.64.0/2491.252.64.1 to 91.252.64.25491.252.64.255254
6691.252.65.0/2491.252.65.1 to 91.252.65.25491.252.65.255254
6791.252.66.0/2491.252.66.1 to 91.252.66.25491.252.66.255254
6891.252.67.0/2491.252.67.1 to 91.252.67.25491.252.67.255254
6991.252.68.0/2491.252.68.1 to 91.252.68.25491.252.68.255254
7091.252.69.0/2491.252.69.1 to 91.252.69.25491.252.69.255254
7191.252.70.0/2491.252.70.1 to 91.252.70.25491.252.70.255254
7291.252.71.0/2491.252.71.1 to 91.252.71.25491.252.71.255254
7391.252.72.0/2491.252.72.1 to 91.252.72.25491.252.72.255254
7491.252.73.0/2491.252.73.1 to 91.252.73.25491.252.73.255254
7591.252.74.0/2491.252.74.1 to 91.252.74.25491.252.74.255254
7691.252.75.0/2491.252.75.1 to 91.252.75.25491.252.75.255254
7791.252.76.0/2491.252.76.1 to 91.252.76.25491.252.76.255254
7891.252.77.0/2491.252.77.1 to 91.252.77.25491.252.77.255254
7991.252.78.0/2491.252.78.1 to 91.252.78.25491.252.78.255254
8091.252.79.0/2491.252.79.1 to 91.252.79.25491.252.79.255254
8191.252.80.0/2491.252.80.1 to 91.252.80.25491.252.80.255254
8291.252.81.0/2491.252.81.1 to 91.252.81.25491.252.81.255254
8391.252.82.0/2491.252.82.1 to 91.252.82.25491.252.82.255254
8491.252.83.0/2491.252.83.1 to 91.252.83.25491.252.83.255254
8591.252.84.0/2491.252.84.1 to 91.252.84.25491.252.84.255254
8691.252.85.0/2491.252.85.1 to 91.252.85.25491.252.85.255254
8791.252.86.0/2491.252.86.1 to 91.252.86.25491.252.86.255254
8891.252.87.0/2491.252.87.1 to 91.252.87.25491.252.87.255254
8991.252.88.0/2491.252.88.1 to 91.252.88.25491.252.88.255254
9091.252.89.0/2491.252.89.1 to 91.252.89.25491.252.89.255254
9191.252.90.0/2491.252.90.1 to 91.252.90.25491.252.90.255254
9291.252.91.0/2491.252.91.1 to 91.252.91.25491.252.91.255254
9391.252.92.0/2491.252.92.1 to 91.252.92.25491.252.92.255254
9491.252.93.0/2491.252.93.1 to 91.252.93.25491.252.93.255254
9591.252.94.0/2491.252.94.1 to 91.252.94.25491.252.94.255254
9691.252.95.0/2491.252.95.1 to 91.252.95.25491.252.95.255254
9791.252.96.0/2491.252.96.1 to 91.252.96.25491.252.96.255254
9891.252.97.0/2491.252.97.1 to 91.252.97.25491.252.97.255254
9991.252.98.0/2491.252.98.1 to 91.252.98.25491.252.98.255254
10091.252.99.0/2491.252.99.1 to 91.252.99.25491.252.99.255254
10191.252.100.0/2491.252.100.1 to 91.252.100.25491.252.100.255254
10291.252.101.0/2491.252.101.1 to 91.252.101.25491.252.101.255254
10391.252.102.0/2491.252.102.1 to 91.252.102.25491.252.102.255254
10491.252.103.0/2491.252.103.1 to 91.252.103.25491.252.103.255254
10591.252.104.0/2491.252.104.1 to 91.252.104.25491.252.104.255254
10691.252.105.0/2491.252.105.1 to 91.252.105.25491.252.105.255254
10791.252.106.0/2491.252.106.1 to 91.252.106.25491.252.106.255254
10891.252.107.0/2491.252.107.1 to 91.252.107.25491.252.107.255254
10991.252.108.0/2491.252.108.1 to 91.252.108.25491.252.108.255254
11091.252.109.0/2491.252.109.1 to 91.252.109.25491.252.109.255254
11191.252.110.0/2491.252.110.1 to 91.252.110.25491.252.110.255254
11291.252.111.0/2491.252.111.1 to 91.252.111.25491.252.111.255254
11391.252.112.0/2491.252.112.1 to 91.252.112.25491.252.112.255254
11491.252.113.0/2491.252.113.1 to 91.252.113.25491.252.113.255254
11591.252.114.0/2491.252.114.1 to 91.252.114.25491.252.114.255254
11691.252.115.0/2491.252.115.1 to 91.252.115.25491.252.115.255254
11791.252.116.0/2491.252.116.1 to 91.252.116.25491.252.116.255254
11891.252.117.0/2491.252.117.1 to 91.252.117.25491.252.117.255254
11991.252.118.0/2491.252.118.1 to 91.252.118.25491.252.118.255254
12091.252.119.0/2491.252.119.1 to 91.252.119.25491.252.119.255254
12191.252.120.0/2491.252.120.1 to 91.252.120.25491.252.120.255254
12291.252.121.0/2491.252.121.1 to 91.252.121.25491.252.121.255254
12391.252.122.0/2491.252.122.1 to 91.252.122.25491.252.122.255254
12491.252.123.0/2491.252.123.1 to 91.252.123.25491.252.123.255254
12591.252.124.0/2491.252.124.1 to 91.252.124.25491.252.124.255254
12691.252.125.0/2491.252.125.1 to 91.252.125.25491.252.125.255254
12791.252.126.0/2491.252.126.1 to 91.252.126.25491.252.126.255254
12891.252.127.0/2491.252.127.1 to 91.252.127.25491.252.127.255254
12991.252.128.0/2491.252.128.1 to 91.252.128.25491.252.128.255254
13091.252.129.0/2491.252.129.1 to 91.252.129.25491.252.129.255254
13191.252.130.0/2491.252.130.1 to 91.252.130.25491.252.130.255254
13291.252.131.0/2491.252.131.1 to 91.252.131.25491.252.131.255254
13391.252.132.0/2491.252.132.1 to 91.252.132.25491.252.132.255254
13491.252.133.0/2491.252.133.1 to 91.252.133.25491.252.133.255254
13591.252.134.0/2491.252.134.1 to 91.252.134.25491.252.134.255254
13691.252.135.0/2491.252.135.1 to 91.252.135.25491.252.135.255254
13791.252.136.0/2491.252.136.1 to 91.252.136.25491.252.136.255254
13891.252.137.0/2491.252.137.1 to 91.252.137.25491.252.137.255254
13991.252.138.0/2491.252.138.1 to 91.252.138.25491.252.138.255254
14091.252.139.0/2491.252.139.1 to 91.252.139.25491.252.139.255254
14191.252.140.0/2491.252.140.1 to 91.252.140.25491.252.140.255254
14291.252.141.0/2491.252.141.1 to 91.252.141.25491.252.141.255254
14391.252.142.0/2491.252.142.1 to 91.252.142.25491.252.142.255254
14491.252.143.0/2491.252.143.1 to 91.252.143.25491.252.143.255254
14591.252.144.0/2491.252.144.1 to 91.252.144.25491.252.144.255254
14691.252.145.0/2491.252.145.1 to 91.252.145.25491.252.145.255254
14791.252.146.0/2491.252.146.1 to 91.252.146.25491.252.146.255254
14891.252.147.0/2491.252.147.1 to 91.252.147.25491.252.147.255254
14991.252.148.0/2491.252.148.1 to 91.252.148.25491.252.148.255254
15091.252.149.0/2491.252.149.1 to 91.252.149.25491.252.149.255254
15191.252.150.0/2491.252.150.1 to 91.252.150.25491.252.150.255254
15291.252.151.0/2491.252.151.1 to 91.252.151.25491.252.151.255254
15391.252.152.0/2491.252.152.1 to 91.252.152.25491.252.152.255254
15491.252.153.0/2491.252.153.1 to 91.252.153.25491.252.153.255254
15591.252.154.0/2491.252.154.1 to 91.252.154.25491.252.154.255254
15691.252.155.0/2491.252.155.1 to 91.252.155.25491.252.155.255254
15791.252.156.0/2491.252.156.1 to 91.252.156.25491.252.156.255254
15891.252.157.0/2491.252.157.1 to 91.252.157.25491.252.157.255254
15991.252.158.0/2491.252.158.1 to 91.252.158.25491.252.158.255254
16091.252.159.0/2491.252.159.1 to 91.252.159.25491.252.159.255254
16191.252.160.0/2491.252.160.1 to 91.252.160.25491.252.160.255254
16291.252.161.0/2491.252.161.1 to 91.252.161.25491.252.161.255254
16391.252.162.0/2491.252.162.1 to 91.252.162.25491.252.162.255254
16491.252.163.0/2491.252.163.1 to 91.252.163.25491.252.163.255254
16591.252.164.0/2491.252.164.1 to 91.252.164.25491.252.164.255254
16691.252.165.0/2491.252.165.1 to 91.252.165.25491.252.165.255254
16791.252.166.0/2491.252.166.1 to 91.252.166.25491.252.166.255254
16891.252.167.0/2491.252.167.1 to 91.252.167.25491.252.167.255254
16991.252.168.0/2491.252.168.1 to 91.252.168.25491.252.168.255254
17091.252.169.0/2491.252.169.1 to 91.252.169.25491.252.169.255254
17191.252.170.0/2491.252.170.1 to 91.252.170.25491.252.170.255254
17291.252.171.0/2491.252.171.1 to 91.252.171.25491.252.171.255254
17391.252.172.0/2491.252.172.1 to 91.252.172.25491.252.172.255254
17491.252.173.0/2491.252.173.1 to 91.252.173.25491.252.173.255254
17591.252.174.0/2491.252.174.1 to 91.252.174.25491.252.174.255254
17691.252.175.0/2491.252.175.1 to 91.252.175.25491.252.175.255254
17791.252.176.0/2491.252.176.1 to 91.252.176.25491.252.176.255254
17891.252.177.0/2491.252.177.1 to 91.252.177.25491.252.177.255254
17991.252.178.0/2491.252.178.1 to 91.252.178.25491.252.178.255254
18091.252.179.0/2491.252.179.1 to 91.252.179.25491.252.179.255254
18191.252.180.0/2491.252.180.1 to 91.252.180.25491.252.180.255254
18291.252.181.0/2491.252.181.1 to 91.252.181.25491.252.181.255254
18391.252.182.0/2491.252.182.1 to 91.252.182.25491.252.182.255254
18491.252.183.0/2491.252.183.1 to 91.252.183.25491.252.183.255254
18591.252.184.0/2491.252.184.1 to 91.252.184.25491.252.184.255254
18691.252.185.0/2491.252.185.1 to 91.252.185.25491.252.185.255254
18791.252.186.0/2491.252.186.1 to 91.252.186.25491.252.186.255254
18891.252.187.0/2491.252.187.1 to 91.252.187.25491.252.187.255254
18991.252.188.0/2491.252.188.1 to 91.252.188.25491.252.188.255254
19091.252.189.0/2491.252.189.1 to 91.252.189.25491.252.189.255254
19191.252.190.0/2491.252.190.1 to 91.252.190.25491.252.190.255254
19291.252.191.0/2491.252.191.1 to 91.252.191.25491.252.191.255254
19391.252.192.0/2491.252.192.1 to 91.252.192.25491.252.192.255254
19491.252.193.0/2491.252.193.1 to 91.252.193.25491.252.193.255254
19591.252.194.0/2491.252.194.1 to 91.252.194.25491.252.194.255254
19691.252.195.0/2491.252.195.1 to 91.252.195.25491.252.195.255254
19791.252.196.0/2491.252.196.1 to 91.252.196.25491.252.196.255254
19891.252.197.0/2491.252.197.1 to 91.252.197.25491.252.197.255254
19991.252.198.0/2491.252.198.1 to 91.252.198.25491.252.198.255254
20091.252.199.0/2491.252.199.1 to 91.252.199.25491.252.199.255254
20191.252.200.0/2491.252.200.1 to 91.252.200.25491.252.200.255254
20291.252.201.0/2491.252.201.1 to 91.252.201.25491.252.201.255254
20391.252.202.0/2491.252.202.1 to 91.252.202.25491.252.202.255254
20491.252.203.0/2491.252.203.1 to 91.252.203.25491.252.203.255254
20591.252.204.0/2491.252.204.1 to 91.252.204.25491.252.204.255254
20691.252.205.0/2491.252.205.1 to 91.252.205.25491.252.205.255254
20791.252.206.0/2491.252.206.1 to 91.252.206.25491.252.206.255254
20891.252.207.0/2491.252.207.1 to 91.252.207.25491.252.207.255254
20991.252.208.0/2491.252.208.1 to 91.252.208.25491.252.208.255254
21091.252.209.0/2491.252.209.1 to 91.252.209.25491.252.209.255254
21191.252.210.0/2491.252.210.1 to 91.252.210.25491.252.210.255254
21291.252.211.0/2491.252.211.1 to 91.252.211.25491.252.211.255254
21391.252.212.0/2491.252.212.1 to 91.252.212.25491.252.212.255254
21491.252.213.0/2491.252.213.1 to 91.252.213.25491.252.213.255254
21591.252.214.0/2491.252.214.1 to 91.252.214.25491.252.214.255254
21691.252.215.0/2491.252.215.1 to 91.252.215.25491.252.215.255254
21791.252.216.0/2491.252.216.1 to 91.252.216.25491.252.216.255254
21891.252.217.0/2491.252.217.1 to 91.252.217.25491.252.217.255254
21991.252.218.0/2491.252.218.1 to 91.252.218.25491.252.218.255254
22091.252.219.0/2491.252.219.1 to 91.252.219.25491.252.219.255254
22191.252.220.0/2491.252.220.1 to 91.252.220.25491.252.220.255254
22291.252.221.0/2491.252.221.1 to 91.252.221.25491.252.221.255254
22391.252.222.0/2491.252.222.1 to 91.252.222.25491.252.222.255254
22491.252.223.0/2491.252.223.1 to 91.252.223.25491.252.223.255254
22591.252.224.0/2491.252.224.1 to 91.252.224.25491.252.224.255254
22691.252.225.0/2491.252.225.1 to 91.252.225.25491.252.225.255254
22791.252.226.0/2491.252.226.1 to 91.252.226.25491.252.226.255254
22891.252.227.0/2491.252.227.1 to 91.252.227.25491.252.227.255254
22991.252.228.0/2491.252.228.1 to 91.252.228.25491.252.228.255254
23091.252.229.0/2491.252.229.1 to 91.252.229.25491.252.229.255254
23191.252.230.0/2491.252.230.1 to 91.252.230.25491.252.230.255254
23291.252.231.0/2491.252.231.1 to 91.252.231.25491.252.231.255254
23391.252.232.0/2491.252.232.1 to 91.252.232.25491.252.232.255254
23491.252.233.0/2491.252.233.1 to 91.252.233.25491.252.233.255254
23591.252.234.0/2491.252.234.1 to 91.252.234.25491.252.234.255254
23691.252.235.0/2491.252.235.1 to 91.252.235.25491.252.235.255254
23791.252.236.0/2491.252.236.1 to 91.252.236.25491.252.236.255254
23891.252.237.0/2491.252.237.1 to 91.252.237.25491.252.237.255254
23991.252.238.0/2491.252.238.1 to 91.252.238.25491.252.238.255254
24091.252.239.0/2491.252.239.1 to 91.252.239.25491.252.239.255254
24191.252.240.0/2491.252.240.1 to 91.252.240.25491.252.240.255254
24291.252.241.0/2491.252.241.1 to 91.252.241.25491.252.241.255254
24391.252.242.0/2491.252.242.1 to 91.252.242.25491.252.242.255254
24491.252.243.0/2491.252.243.1 to 91.252.243.25491.252.243.255254
24591.252.244.0/2491.252.244.1 to 91.252.244.25491.252.244.255254
24691.252.245.0/2491.252.245.1 to 91.252.245.25491.252.245.255254
24791.252.246.0/2491.252.246.1 to 91.252.246.25491.252.246.255254
24891.252.247.0/2491.252.247.1 to 91.252.247.25491.252.247.255254
24991.252.248.0/2491.252.248.1 to 91.252.248.25491.252.248.255254
25091.252.249.0/2491.252.249.1 to 91.252.249.25491.252.249.255254
25191.252.250.0/2491.252.250.1 to 91.252.250.25491.252.250.255254
25291.252.251.0/2491.252.251.1 to 91.252.251.25491.252.251.255254
25391.252.252.0/2491.252.252.1 to 91.252.252.25491.252.252.255254
25491.252.253.0/2491.252.253.1 to 91.252.253.25491.252.253.255254
25591.252.254.0/2491.252.254.1 to 91.252.254.25491.252.254.255254
25691.252.255.0/2491.252.255.1 to 91.252.255.25491.252.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses